/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/SPABP.H__   1.4   20 Jun 1996 09:29:36   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/SPABP.H__  $
** 
**    Rev 1.4   20 Jun 1996 09:29:36   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.2   10 Jun 1996 10:24:14   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.0   29 May 1996 09:36:08   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//
//  File name: SPABP.H
//
//  Description: The header file for the class: CSpaBpSetDlg.
//
//  Author: Chen Jun
//
//  Date: 05/27/96
//
//  Modification:
//      1. 05/27/96, Initial version of the class: CSpaBpSetDlg.
//
//  Copyright (C) 1996 Microtek International. All rights reserved.
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _SPABP_H_
#define _SPABP_H_

/////////////////////////////////////////////////////////////////////////////
// CSpaBpSetDlg dialog

class CSpaBpSetDlg : public CDialog
{
// Construction
public:
	CSpaBpSetDlg(CSpaGroupSheet* pSheet, CWnd* pParent = NULL);

// Dialog Data
	//{{AFX_DATA(CSpaBpSetDlg)
	enum { IDD = IDD_SPA_BREAKPOINT };
	CStatic	m_staticModule;
	CStatic	m_staticFunction;
	CButton	m_btnApply;
	CListBox	m_listModule;
	CListBox	m_listFunction;
	CString	m_strBp;
	int		m_nFunction;
	int		m_nModule;
	//}}AFX_DATA

private:
	CSpaGroupSheet* m_pSheet;

// Overrides
public:

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
private:
	void DisableControl(void);
	void CheckInputSyntax(void);
	void UpdateModuleInfo(void);
	void UpdateFunctionInfo(void);

protected:

	// Generated message map functions
	//{{AFX_MSG(CSpaBpSetDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSelchangeListSpaBrowseModule();
	afx_msg void OnButtonSpaApply();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
